<?php 
ini_set('display_errors', 1);
ini_set('display_startup_erros', 1);
error_reporting(E_ALL);

header("access-control-allow-origin: https://pagseguro.uol.com.br");
header("Content-Type: text/html; charset=UTF-8",true);
date_default_timezone_set('America/Sao_Paulo');

require_once("../../config.php");

$cs = new cs;

//var_dump($_POST, $_SESSION['usuario_logado'][0]); exit;
$plano = (object) $_POST;

$Paghiper = new Paghiper();

if(isset($plano->id) && !empty($plano->id)) {
	// Gerar Pagamento
	$array = array(
		'user_id'     => $_SESSION['usuario_logado'][0]['id'],
		'profile_id'  => $plano->id,
		'amount'      => $plano->amount,
		'date_create' => date('Y-m-d H:i:s'),
		'status'      => 'pending'	
	);

	$_SESSION['usuario_logado'][0]['plano_description'] = $plano->description;
}

$reference = $cs->addChargeBoleto($array);

//var_dump($reference);

//$clienteNome = $_SESSION['usuario_logado'][0]['display_name'];
// if(substr_count(trim($clienteNome), ' ') == 0){
// 	$clienteNome = $clienteNome . 'Space Code';
// }
	
//EFETUAR PAGAMENTO	
$data =  [
		"order_id"           => $reference,
		"item_id"            => $reference,
	    "amount"             => $plano->amount,
	    "description"        => $plano->description,
	    "payer_name"         => $_SESSION['usuario_logado'][0]['display_name'] ?? 'Space Code',
	    "payer_email"        => $_SESSION['usuario_logado'][0]['email'],
	    // "telefone"          =>"(XX) XXXX-XXXX",
	    // "rua"               =>"",
	    // "numero"            =>"",
	    // "bairro"            =>"",
	    // "cidade"            =>"",
	    // "estado"            =>"XX", //2 LETRAS MAIÚSCULAS
	    // "cep"               =>"XX.XXX-XXX",
	    
    ];
				   
$Paghiper->executeCheckout($data);


//----------------------------------------------------------------------------

//RECEBER RETORNO
// if( isset($_GET['pagseguro_code']) ){

// if($pagamento = $PagSeguro->getStatusByReference($reference) {
	
// 	$pagamento->codigo_pagseguro = $_GET['pagseguro_code'];
// 	if($pagamento->status==3 || $pagamento->status==4){
// 		//ATUALIZAR DADOS DA VENDA, COMO DATA DO PAGAMENTO E STATUS DO PAGAMENTO
		
// 	}else{
// 		//ATUALIZAR NA BASE DE DADOS
// 	}
// }
// }


?>